/*
 * Ejercicio2.java
 *
 * Creado el 26 de diciembre de 2005, 21:52
 */


package computacion.practica3;

/**
 * Se considera el mtodo iterativo x_{n+1} = f(x_n) para las funciones
 *      f(x) = (20x + 21/x^2)/21,
 *      f(x) = x - (x^3-21)/(3x^2),
 *      f(x) = (21/x)^{1/2}.
 * En todos los casos c = (21)^{1/3} es un punto fijo de f y |f'(c)| < 1, con
 * lo que (x_n) converger a c cuando se parte de una condicin inicial x_1 
 * suficientemente prxima a c. Dado que las derivadas respectivas son
 *      f'(c) = 18/21,
 *      f'(c) = 0,
 *      f'(c) = -1/2,
 * el segundo mtodo ser el de convergencia ms rpida, seguido del tercero 
 * y el primero.
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio2 {
    
    public static void main(String[] args) {
        FuncionEj2a f = new FuncionEj2a();
        FuncionEj2b g = new FuncionEj2b();
        FuncionEj2c h = new FuncionEj2c();
        double c = Math.pow(21, 1. / 3.);
        double x = 1;
        double y = 1;
        double z = 1;
        
        System.out.println();
        System.out.println("Iter." + "\t" + "Error abs. proceso 1" + "\t" 
                    + "Error abs. proceso 2" + "\t" + "Error abs. proceso 3");
        for (int k = 1; k <= 20; k++) {
            System.out.println(k + "\t" + Math.abs(x - c) + "\t" 
                    + Math.abs(y - c) + "\t" + Math.abs(z - c));
            x = f.eval(x);
            y = g.eval(y);
            z = h.eval(z);
        }
        
    }
    
}
