/*
 * Ejercicio3.java
 *
 * Creado el 12 de marzo de 2006, 12:50
 */


package metodosLineales.practica4;
import auxiliar.*;

/**
 * Ouede comprobarse que a partir de n = 11 el clculo del determinante de una 
 * matriz tan sencilla como A_n se hace tan pesado que resulta inviable.
 * Por ejemplo para n = 12 el tiempo de cmputo es de casi 5 minutos con un
 * procesador Pentium 4 a 3Gz.
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio3 {
    
    public static void main(String[] args) {
        double[][] A;
        double det;
        
        System.out.println("");
        for (int n = 2; n <= 12; n++) {
            A = new double[n][n];
            for (int k = 0; k < n - 1; k++) {
                A[k][k + 1] = 1;
                A[k + 1][k] = 1;
            }
            try {
                det = Matrices.determinanteMenores(A);
                System.out.println("Determinante de A_"
                        + n + ": " + det);
            } catch(Matrices.ErrorMetodosLineales errMetodosLineales) {
            }            
        }
    }
    
}

